summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorAnjan Nath <kaludios@gmail.com>2022-06-20 00:47:39 +0530
committeratanarjuat <atanarjuat@example.com>2022-07-28 01:59:00 -0400
commit09c20930022df8bb97ce8d813525e8ba1665f5e1 (patch)
treebde15abca83cee7292bd05530e51e64541f6ca17 /scripts
parent626db4e2de1df338049a10f31ad6116409d63c6b (diff)
add makefile target to check if new version of yawning/obfs4 is available
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/check-go-modules.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/check-go-modules.sh b/scripts/check-go-modules.sh
new file mode 100755
index 0000000..fa4b21c
--- /dev/null
+++ b/scripts/check-go-modules.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+go get -u gitlab.com/yawning/obfs4.git &> /dev/null
+git --no-pager diff -U0 go.mod | grep -Fq "gitlab.com/yawning/obfs4.git"
+
+case "$?" in
+ "0")
+ echo "New version of upstream yawning/obfs4 available!!"
+ exit 2
+ ;;
+ *)
+ exit 0
+ ;;
+esac
+